org.richfaces.resource.optimizer.resource.handler.impl

## Class DynamicResourceHandler

- java.lang.Object
- - javax.faces.application.ResourceHandler
  - - org.richfaces.resource.optimizer.resource.handler.impl.AbstractResourceHandler
    - - org.richfaces.resource.optimizer.resource.handler.impl.DynamicResourceHandler

-     public class DynamicResourceHandler
      extends AbstractResourceHandler

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.application.ResourceHandler

      `LOCALE_PREFIX, RESOURCE_CONTRACT_XML, RESOURCE_EXCLUDES_DEFAULT_VALUE, RESOURCE_EXCLUDES_PARAM_NAME, RESOURCE_IDENTIFIER, WEBAPP_CONTRACTS_DIRECTORY_PARAM_NAME, WEBAPP_RESOURCES_DIRECTORY_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicResourceHandler(javax.faces.application.ResourceHandler staticResourceHandler, ResourceFactory resourceFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.application.Resource` | `createResource(String resourceName, String libraryName, String contentType)`

    - ### Methods inherited from class org.richfaces.resource.optimizer.resource.handler.impl.AbstractResourceHandler

      `createResource, createResource, getRendererTypeForResourceName, handleResourceRequest, isResourceRequest, libraryExists`

    - ### Methods inherited from class javax.faces.application.ResourceHandler

      `createResourceFromId, createViewResource, isResourceURL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicResourceHandler

          public DynamicResourceHandler(javax.faces.application.ResourceHandler staticResourceHandler,
                                ResourceFactory resourceFactory)

  - ### Method Detail

    - #### createResource

          public javax.faces.application.Resource createResource(String resourceName,
                                                        String libraryName,
                                                        String contentType)

      Specified by:
        `createResource` in class `AbstractResourceHandler`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.